SearchByAUID (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union

## Interface SearchByAUID

- All Superinterfaces:
    SearchCriteria
  All Known Implementing Classes:
    SearchByAUIDImpl

      public interface SearchByAUID
      extends SearchCriteria

  Specifies a search criteria for matching packages defined by an AUID value. The type of search represented by this criteria must be set using method `setTag(SearchTag)`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AUID` | `getAUID()` Returns the AUID that defines this search criteria.
    `void` | `setAUID(AUID identification)` Sets the AUID that defines this search criteria.
    `void` | `setTag(SearchTag tag)` Set the search type of this search criteria that matches items using an AUID.

    - ### Methods inherited from interface tv.amwa.maj.union.SearchCriteria

      `getSearchTag`

- - ### Method Detail

    - #### getAUID

          AUID getAUID()

      Returns the AUID that defines this search criteria.

      Returns:
        AUID of this search criteria.

    - #### setAUID

          void setAUID(AUID identification)
                throws NullPointerException

      Sets the AUID that defines this search criteria.

      Parameters:
        `identification` - AUID of this search criteria.
      Throws:
        `NullPointerException` - The given identification is `null`.

    - #### setTag

          void setTag(SearchTag tag)
               throws NullPointerException,
                      IllegalArgumentException

      Set the search type of this search criteria that matches items using an AUID. The tag must be compatible with matching using AUID values. If this search is not compatible, an `IllegalArgumentException` is thrown. Acceptable tags are:

      - `SearchTag.ByClass`
      - `SearchTag.ByDataDef`
      - `SearchTag.ByUsageCode`
      - `SearchTag.ByCompositionPackageUsageCode`
      - `SearchTag.ByMaterialPackageUsageCode`
      - `SearchTag.BySourcePackageUsageCode`
      Parameters:
        `tag` - Tag that identifies the kind of this search by AUID criteria.
      Throws:
        `NullPointerException` - The given search tag is `null`.
        `IllegalArgumentException` - The search tag is not compatible with criteria matching using AUID values.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.